import { SimpleLocalIntegration } from '../../core/index.js';
import { EarnEP1ConfigFlow } from './earn_e_p1.classes.configflow.js';
import { createEarnEP1DiscoveryDescriptor } from './earn_e_p1.discovery.js';
import type { IEarnEP1Config } from './earn_e_p1.types.js';
import { earnEP1Domain, earnEP1Profile } from './earn_e_p1.types.js';

export class EarnEP1Integration extends SimpleLocalIntegration<IEarnEP1Config> {
  public readonly domain = earnEP1Domain;
  public readonly discoveryDescriptor = createEarnEP1DiscoveryDescriptor();
  public readonly configFlow = new EarnEP1ConfigFlow();

  constructor() {
    super(earnEP1Profile);
  }
}

export class HomeAssistantEarnEP1Integration extends EarnEP1Integration {}
